@ECHO OFF
REM This batch file sets the Ethernut environment.
REM 

REM *** Remove the REM in front of the second line if you're using an
REM     ATmega 128 CPU.
REM SET MCU=atmega103
SET MCU=atmega128

REM *** Set NUTWORKDIR to the full path where you installed the Ethernut 
REM     sources and binaries. Use slashes, not backslashes and do not
REM     add a trailing slash.
SET NUTWORKDIR=C:/Programme/egnite/nut

REM *** Set AVR to the full path where you installed AVR-GCC. Again slashes
REM     and no trailing slash.
SET AVR=C:/AVRGCC

REM *** Set AVRBINPATH to the full path of the AVR-GCC directory containing
REM     the executables. You must use backslashes here, but no trailing 
REM     backslash.
SET AVRBINPATH=C:\AVRGCC\BIN

REM *** Set NUTBINPATH to the full path of the Ethernut tools. Again 
REM     backslashes without a trailing backslash.
SET NUTBINPATH=C:\Programme\egnite\nut\tools\win32

REM *** No more modifications usually required beyond this line.

IF NOT EXIST %NUTBINPATH%\CRUROM.EXE GOTO ERRNP
IF NOT EXIST %AVRBINPATH%\AVR-GCC.EXE GOTO ERRAP

SET PATH=%NUTBINPATH%;%AVRBINPATH%;%PATH%
DOSKEY
CD %NUTBINPATH%\..\..
ECHO Ethernut environment set for %MCU%
GOTO END

:ERRNP
ECHO ERROR: No tools found in %NUTBINPATH%
GOTO HINT

:ERRAP
ECHO ERROR: No compiler found in %AVRBINPATH%

:HINT
ECHO Please edit batch file %0

:END
